Description

Science metadata is technically replicated to all CNs, which means that system metadata for science metadata should also be

updated with the CN replica information as the document is replicated across CNs.  This will likely cause a race condition as each

CN updates the replica information in the system metadata as it is retrieved and stored during the CN replication process.  This can

be avoided by either a) indicating a generic rather than specific CN (e.g. the CN URL might be cn.dataone.org rather than a specific

CN); or b) adding all CNs as replicas as the system metadata is added to the first CN after initial harvest.  Option b is simplest,

though has a chance of failure as the object may not yet be replicated to other CNs before being accessed.

This will likely depend upon implementation of Messaging Service and/or evaluation of distributed locking mechanism...

History

#1 - 2010-10-07 01:24 - Robert Waltz

- Milestone set to CCI-0.7

- Tracker changed from Task to Story

- Subject changed from Cn Replica information in the System Metadata to Reflect Cn Replica information in the System Metadata for each CN having

copy

- Start date set to 2010-10-07

#2 - 2011-03-01 18:50 - Robert Waltz

- Position set to 1

- Position changed from 1 to 167

#3 - 2011-05-23 17:55 - Robert Waltz

- Milestone deleted (CCI-0.7)

#4 - 2011-08-30 02:01 - Dave Vieglais

- Position set to 16

- Position deleted (223)

#5 - 2012-01-06 03:55 - Dave Vieglais

- Target version set to Sprint-2012.01-Block.1.1

- Position deleted (100)

- Position set to 1

#6 - 2012-01-10 23:47 - Robert Waltz

- Status changed from New to Closed

- Milestone set to CCI-1.0.0

Decided that we will use option a) for now
